Bug 42876 - lilo -R works poorly with passworded images
lilo -R works poorly with passworded images
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: lilo (Show other bugs)
7.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Doug Ledford
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-05-30 12:12 EDT by Jason Tibbitts
Modified: 2007-04-18 12:33 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-05-30 12:12:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jason Tibbitts 2001-05-30 12:12:02 EDT
If you have a password protected image (a password required to boot, not
just restricted) then lilo -R imagename will prompt at boot time for the
image password, then time out and boot the default image.  This makes it
impossible to boot into a password protected image unless you're at the
console.

Here's a sample of what I use (sorry for the line wrapping)

image=/boot/vmlinuz.reinstall
        optional
        password=XXXXX
        initrd=/boot/initrd.reinstall
        label=reinstall
        read-only
        append="lang= devfs=nomount
ks=nfs:server.name.invalid:/usr/local/kickstart/ks.cfg"

Without the "password" line I can initiate a remote upgrade with 

lilo -R reinstall; reboot

but of course I have to password protect this image.
Comment 1 Jeremy Katz 2002-06-04 02:27:43 EDT
This is unfortunately a limitation of the way that password mode works in lilo.
 You can remove the timeout section from your lilo.conf and you won't have to
worry about it timing out in the future, although then it won't ever boot into
the default without human intervention.

Note You need to log in before you can comment on or make changes to this bug.